'use strict';

const index = require('./index.cjs');
require('node:fs');
require('node:process');
require('node:path');
require('unplugin');
require('ci-info');
require('git-repo-info');
require('parse-github-url');
require('remote-origin-url');

function nuxt(options = {}, nuxt) {
  nuxt.hook("webpack:config", async (config) => {
    config.plugins = config.plugins || [];
    config.plugins.unshift(index.webpack(options));
  });
  nuxt.hook("vite:extendConfig", async (config) => {
    config.plugins = config.plugins || [];
    config.plugins.push(index.vite(options));
  });
}

module.exports = nuxt;
